MyGUI::types::TRect< T > Struct Template Reference

`#include <MyGUI_TRect.h>`

Inheritance diagram for MyGUI::types::TRect< T >:
[legend]

## Public Member Functions

| TRect ()=default
| TRect (T const &_left, T const &_top, T const &_right, T const &_bottom)
TRect & | operator-= (TRect const &_obj)
TRect & | operator+= (TRect const &_obj)
TRect | operator- (TRect const &_obj) const
TRect | operator+ (TRect const &_obj) const
template<typename U>
TRect & | operator= (TRect< U > const &_obj)
bool | operator== (TRect const &_obj) const
bool | operator!= (TRect const &_obj) const
T | width () const
T | height () const
void | clear ()
void | set (T const &_left, T const &_top, T const &_right, T const &_bottom)
void | swap (TRect &_value)
bool | empty () const
bool | inside (const TRect< T > &_value) const
bool | intersect (const TRect< T > &_value) const
bool | inside (const TPoint< T > &_value) const
std::string | print () const

## Static Public Member Functions

static TRect< T > | parse (std::string_view _value)

## Data Fields

T | left {}
T | top {}
T | right {}
T | bottom {}

## Friends

std::ostream & | operator<< (std::ostream &_stream, const TRect< T > &_value)
std::istream & | operator>> (std::istream &_stream, TRect< T > &_value)

## Detailed Description

template<typename T>
struct MyGUI::types::TRect< T >

Definition at line 17 of file MyGUI_TRect.h.

## Constructor & Destructor Documentation

## TRect() [1/2]

template<typename T>

MyGUI::types::TRect< T >::TRect | ( |  | ) |

default

## TRect() [2/2]

template<typename T>

MyGUI::types::TRect< T >::TRect | ( | T const & | _left,
|  | T const & | _top,
|  | T const & | _right,
|  | T const & | _bottom )

inline

Definition at line 26 of file MyGUI_TRect.h.

## Member Function Documentation

## clear()

template<typename T>

void MyGUI::types::TRect< T >::clear | ( |  | ) |

inline

Definition at line 93 of file MyGUI_TRect.h.

## empty()

template<typename T>

bool MyGUI::types::TRect< T >::empty | ( |  | ) | const

inline

Definition at line 113 of file MyGUI_TRect.h.

## height()

template<typename T>

T MyGUI::types::TRect< T >::height | ( |  | ) | const

inline

Definition at line 88 of file MyGUI_TRect.h.

## inside() [1/2]

template<typename T>

bool MyGUI::types::TRect< T >::inside | ( | const TPoint< T > & | _value | ) | const

inline

Definition at line 130 of file MyGUI_TRect.h.

## inside() [2/2]

template<typename T>

bool MyGUI::types::TRect< T >::inside | ( | const TRect< T > & | _value | ) | const

inline

Definition at line 118 of file MyGUI_TRect.h.

## intersect()

template<typename T>

bool MyGUI::types::TRect< T >::intersect | ( | const TRect< T > & | _value | ) | const

inline

Definition at line 124 of file MyGUI_TRect.h.

## operator!=()

template<typename T>

bool MyGUI::types::TRect< T >::operator!= | ( | TRect< T > const & | _obj | ) | const

inline

Definition at line 78 of file MyGUI_TRect.h.

## operator+()

template<typename T>

TRect MyGUI::types::TRect< T >::operator+ | ( | TRect< T > const & | _obj | ) | const

inline

Definition at line 58 of file MyGUI_TRect.h.

## operator+=()

template<typename T>

TRect & MyGUI::types::TRect< T >::operator+= | ( | TRect< T > const & | _obj | ) |

inline

Definition at line 44 of file MyGUI_TRect.h.

## operator-()

template<typename T>

TRect MyGUI::types::TRect< T >::operator- | ( | TRect< T > const & | _obj | ) | const

inline

Definition at line 53 of file MyGUI_TRect.h.

## operator-=()

template<typename T>

TRect & MyGUI::types::TRect< T >::operator-= | ( | TRect< T > const & | _obj | ) |

inline

Definition at line 35 of file MyGUI_TRect.h.

## operator=()

template<typename T>
template<typename U>

TRect & MyGUI::types::TRect< T >::operator= | ( | TRect< U > const & | _obj | ) |

inline

Definition at line 64 of file MyGUI_TRect.h.

## operator==()

template<typename T>

bool MyGUI::types::TRect< T >::operator== | ( | TRect< T > const & | _obj | ) | const

inline

Definition at line 73 of file MyGUI_TRect.h.

## parse()

template<typename T>

TRect< T > MyGUI::types::TRect< T >::parse | ( | std::string_view | _value | ) |

inline static

Definition at line 142 of file MyGUI_TRect.h.

## print()

template<typename T>

std::string MyGUI::types::TRect< T >::print | ( |  | ) | const

inline

Definition at line 135 of file MyGUI_TRect.h.

## set()

template<typename T>

void MyGUI::types::TRect< T >::set | ( | T const & | _left,
|  | T const & | _top,
|  | T const & | _right,
|  | T const & | _bottom )

inline

Definition at line 98 of file MyGUI_TRect.h.

## swap()

template<typename T>

void MyGUI::types::TRect< T >::swap | ( | TRect< T > & | _value | ) |

inline

Definition at line 106 of file MyGUI_TRect.h.

## width()

template<typename T>

T MyGUI::types::TRect< T >::width | ( |  | ) | const

inline

Definition at line 83 of file MyGUI_TRect.h.

## Friends And Related Symbol Documentation

## operator<<

template<typename T>

std::ostream & operator<< | ( | std::ostream & | _stream,
|  | const TRect< T > & | _value )

friend

Definition at line 147 of file MyGUI_TRect.h.

## operator>>

template<typename T>

std::istream & operator>> | ( | std::istream & | _stream,
|  | TRect< T > & | _value )

friend

Definition at line 153 of file MyGUI_TRect.h.

## Field Documentation

## bottom

template<typename T>

T MyGUI::types::TRect< T >::bottom {}

Definition at line 22 of file MyGUI_TRect.h.

## left

template<typename T>

T MyGUI::types::TRect< T >::left {}

Definition at line 19 of file MyGUI_TRect.h.

## right

template<typename T>

T MyGUI::types::TRect< T >::right {}

Definition at line 21 of file MyGUI_TRect.h.

## top

template<typename T>

T MyGUI::types::TRect< T >::top {}

Definition at line 20 of file MyGUI_TRect.h.

The documentation for this struct was generated from the following file:

- MyGUI_TRect.h